#include <iostream>
#include <string.h>
#include <cstdlib>

using namespace std;

class User{
    public:
        User();
        User(char *ln, char *n, char *mn, int a);
        ~User();
        void print(void) const;
        void set(char *ln, char *n, char *mn, int a);
        char *lastname;
        char *name;
        char *middlename;
        int age;
        int getCount() const; 
    private:
        char login[30];
        char password[30];
        static int _counter;

};

int User::_counter = 0;

User::User(char *ln, char *n, char *mn, int a){
    lastname = ln;
    middlename = mn;
    name = n;
    age = a;
    _counter++;
}

User::User(){
    lastname = "";
    middlename = "";
    name = "";
    age = 1;
    _counter++;
    
}

void User::print(void) const{
    cout << "ФИО: \n"<<lastname<<endl<<name<<endl<<middlename<<endl<<"Возраст:\n"<<age<<endl;
    
}

void User::set(char *ln, char *n, char *mn, int a){
    lastname = ln;
    middlename = mn;
    name = n;
    age = a;
}


User::~User(void){
    cout << "Уничтожение объекта\n";
}


int User::getCount() const{
    return _counter;
}


// -----------------------------------------MAIN---------------------------------
int main(void){
    setlocale(LC_ALL, "ru_RU.utf8");

    const User con_user("Иванов", "Иван", "Иванович", 43);
    cout << "Константный объект:\nprint(): ";con_user.print();
    con_user.set("Иванов", "Иван", "Иванович", 45);

    User ne_user("Ивасиков", "Василий", "Васильевич", 43);
    cout << "Не константный объект:\nprint(): ";ne_user.print();
    ne_user.set("Ивасиков", "Василий", "Васильевич", 45);
}